API ReferenceClient fields

Update client field

Update an existing client field.

PATCH
/v1/client_fields/{client_field_id}

Authorization

authorization
AuthorizationBearer <token>

In: header

Path Parameters

client_field_id*string

Client field ID

Request Body

application/json

Client field params

TypeScript Definitions

Use the request body type in TypeScript.

Request schema for updating a client field

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/client_fields/string" \  -H "Content-Type: application/json" \  -d '{    "label": "Updated Label"  }'
{  "data": {    "created_at": "2024-01-01T00:00:00Z",    "description": null,    "id": "cf_a1b2c3d4e5f6",    "key": "company_name",    "label": "Company Name",    "object": "client_field",    "options": null,    "sensitive": false,    "sort_order": 1,    "type": "short_text",    "updated_at": "2024-01-01T00:00:00Z"  }}